module test_decl
use omega_kinds !NODEP!
use omega95 !NODEP!
use omega_parameters !NODEP!
use parameters
use omega_parameters_whizard
implicit none
save
  integer, parameter, private :: n_prt     = 5
  integer, parameter :: nt_max=8
  complex(kind=omega_prec), dimension(nt_max) :: bk1_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk1_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk1_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk1_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk1_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk1_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk1_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk1_1_8
  type(momentum) :: p1, p2, p3, p4, p5
  type(vector), dimension(nt_max) :: gl_5_1_5, gl_4_5_4, gl_3_4_3, gl_2_3_2, gl_1_2_1
  type(vector), dimension(nt_max) :: gl_4_1_45_11c23a31, gl_5_2_15_11c31a23, gl_3_5_34_11c23a31, &
  gl_2_4_23_11c23a31, gl_1_3_12_11c23a31
  type(momentum) :: p12, p15, p23, p34, p45
  complex(kind=omega_prec), dimension(nt_max) :: bk2_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk2_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk2_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk2_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk2_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk2_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk2_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk2_1_8
  type(vector), dimension(nt_max) :: gl_5_1_45_11c31a23, gl_3_4_35_11c23a31, gl_4_2_14_11c31a23
  type(momentum) :: p14, p35
  complex(kind=omega_prec), dimension(nt_max) :: bk3_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk3_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk3_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk3_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk3_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk3_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk3_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk3_1_8
  type(vector), dimension(nt_max) :: gl_5_1_35_11c31a23, gl_2_5_24_11c23a31, gl_3_2_13_11c31a23
  type(momentum) :: p13, p24
  complex(kind=omega_prec), dimension(nt_max) :: bk4_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk4_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk4_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk4_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk4_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk4_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk4_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk4_1_8
  type(vector), dimension(nt_max) :: gl_4_5_34_11c31a23
  complex(kind=omega_prec), dimension(nt_max) :: bk5_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk5_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk5_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk5_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk5_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk5_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk5_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk5_1_8
  type(vector), dimension(nt_max) :: gl_2_4_25_11c23a31
  type(momentum) :: p25
  complex(kind=omega_prec), dimension(nt_max) :: bk6_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk6_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk6_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk6_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk6_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk6_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk6_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk6_1_8
  complex(kind=omega_prec), dimension(nt_max) :: bk7_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk7_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk7_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk7_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk7_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk7_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk7_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk7_1_8
  type(vector), dimension(nt_max) :: gl_5_1_25_11c31a23, gl_1_4_13_11c23a31, gl_2_3_12_11c31a23
  complex(kind=omega_prec), dimension(nt_max) :: bk8_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk8_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk8_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk8_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk8_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk8_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk8_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk8_1_8
  type(vector), dimension(nt_max) :: gl_4_1_24_11c31a23
  complex(kind=omega_prec), dimension(nt_max) :: bk9_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk9_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk9_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk9_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk9_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk9_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk9_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk9_1_8
  type(vector), dimension(nt_max) :: gl_3_4_23_11c31a23
  complex(kind=omega_prec), dimension(nt_max) :: bk10_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk10_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk10_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk10_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk10_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk10_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk10_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk10_1_8
  complex(kind=omega_prec), dimension(nt_max) :: bk11_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk11_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk11_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk11_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk11_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk11_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk11_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk11_1_8
  complex(kind=omega_prec), dimension(nt_max) :: bk12_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk12_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk12_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk12_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk12_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk12_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk12_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk12_1_8
  complex(kind=omega_prec), dimension(nt_max) :: bk13_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk13_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk13_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk13_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk13_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk13_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk13_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk13_1_8
  type(vector), dimension(nt_max) :: gl_1_5_14_11c23a31
  complex(kind=omega_prec), dimension(nt_max) :: bk14_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk14_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk14_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk14_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk14_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk14_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk14_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk14_1_8
  complex(kind=omega_prec), dimension(nt_max) :: bk15_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk15_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk15_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk15_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk15_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk15_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk15_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk15_1_8
  complex(kind=omega_prec), dimension(nt_max) :: bk16_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk16_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk16_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk16_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk16_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk16_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk16_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk16_1_8
  complex(kind=omega_prec), dimension(nt_max) :: bk17_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk17_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk17_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk17_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk17_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk17_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk17_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk17_1_8
  complex(kind=omega_prec), dimension(nt_max) :: bk18_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk18_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk18_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk18_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk18_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk18_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk18_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk18_1_8
  complex(kind=omega_prec), dimension(nt_max) :: bk19_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk19_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk19_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk19_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk19_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk19_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk19_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk19_1_8
  type(vector), dimension(nt_max) :: gl_1_4_15_11c23a31
  complex(kind=omega_prec), dimension(nt_max) :: bk20_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk20_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk20_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk20_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk20_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk20_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk20_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk20_1_8
  complex(kind=omega_prec), dimension(nt_max) :: bk21_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk21_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk21_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk21_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk21_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk21_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk21_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk21_1_8
  complex(kind=omega_prec), dimension(nt_max) :: bk22_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk22_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk22_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk22_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk22_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk22_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk22_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk22_1_8
  complex(kind=omega_prec), dimension(nt_max) :: bk23_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk23_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk23_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk23_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk23_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk23_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk23_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk23_1_8
  complex(kind=omega_prec), dimension(nt_max) :: bk24_1_1
  complex(kind=omega_prec), dimension(nt_max) :: bk24_1_2
  complex(kind=omega_prec), dimension(nt_max) :: bk24_1_3
  complex(kind=omega_prec), dimension(nt_max) :: bk24_1_4
  complex(kind=omega_prec), dimension(nt_max) :: bk24_1_5
  complex(kind=omega_prec), dimension(nt_max) :: bk24_1_6
  complex(kind=omega_prec), dimension(nt_max) :: bk24_1_7
  complex(kind=omega_prec), dimension(nt_max) :: bk24_1_8
  integer, dimension(n_prt, nt_max) :: s
  integer :: hi, ho, h

  interface
  function omp_get_thread_num () result (res)
  integer :: res
  end function omp_get_thread_num
  end interface

end module test_decl
