module test_pamp_21_21_21_21_21
use omega_kinds !NODEP!
use omega95 !NODEP!
use omega_parameters !NODEP!
use parameters
use omega_parameters_whizard
use test_decl
implicit none

contains

subroutine calc_test_pamp_21_21_21_21_21 (nt)
integer, intent(in) :: nt
  ! flavor: [21, 21, 21, 21, 21]   color: (2, 3, 4, 5, 1)
  !                                       (5, 1, 2, 3, 4)
  gl_1_2_1(nt) = eps (mass(21), - p1, s(1, nt))
  gl_2_3_2(nt) = eps (mass(21), - p2, s(2, nt))
  gl_3_4_3(nt) = conjg (eps (mass(21), p3, s(3, nt)))
  gl_4_5_4(nt) = conjg (eps (mass(21), p4, s(4, nt)))
  gl_5_1_5(nt) = conjg (eps (mass(21), p5, s(5, nt)))
  gl_1_3_12_11c23a31(nt) = pr_feynman(p12, + g_gg(igs,gl_2_3_2(nt),p2,gl_1_2_1(nt),p1))
  gl_2_4_23_11c23a31(nt) = pr_feynman(p23, + g_gg(igs,gl_3_4_3(nt),p3,gl_2_3_2(nt),p2))
  gl_3_5_34_11c23a31(nt) = pr_feynman(p34, + g_gg(igs,gl_4_5_4(nt),p4,gl_3_4_3(nt),p3))
  gl_5_2_15_11c31a23(nt) = pr_feynman(p15, + g_gg(igs,gl_1_2_1(nt),p1,gl_5_1_5(nt),p5))
  gl_4_1_45_11c23a31(nt) = pr_feynman(p45, + g_gg(igs,gl_5_1_5(nt),p5,gl_4_5_4(nt),p4))
  bk1_1_1(nt) = + gl_5_2_15_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt))) &
  *gl_3_4_3(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_2_3_2(nt)  + ((-gs**2)*( &
  gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_4_5_4(nt)))
  bk1_1_2(nt) = + gl_5_2_15_11c31a23(nt)*( + g_gg(igs,gl_4_5_4(nt),p4,gl_2_4_23_11c23a31(nt), &
  p23)  + g_gg(igs,gl_3_5_34_11c23a31(nt),p34,gl_2_3_2(nt),p2))
  bk1_1_3(nt) = + gl_4_1_45_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt))) &
  *gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_1_2_1(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_3_4_3(nt)))
  bk1_1_4(nt) = + gl_3_5_34_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt))) &
  *gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_5_1_5(nt)))
  bk1_1_5(nt) = + gl_2_4_23_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt))) &
  *gl_5_1_5(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)  + ((-gs**2)*( &
  gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)))
  bk1_1_6(nt) = + gl_2_4_23_11c23a31(nt)*( + g_gg(igs,gl_1_2_1(nt),p1,gl_4_1_45_11c23a31(nt), &
  p45))
  bk1_1_7(nt) = + gl_1_3_12_11c23a31(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt))) &
  *gl_4_5_4(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)  + ((-gs**2)*( &
  gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)))
  bk1_1_8(nt) = + gl_1_3_12_11c23a31(nt)*( + g_gg(igs,gl_4_1_45_11c23a31(nt),p45,gl_3_4_3(nt), &
  p3)  + g_gg(igs,gl_5_1_5(nt),p5,gl_3_5_34_11c23a31(nt),p34))
  ! flavor: [21, 21, 21, 21, 21]   color: (2, 3, 5, 1, 4)
  !                                       (4, 1, 2, 5, 3)
  gl_4_2_14_11c31a23(nt) = pr_feynman(p14, + g_gg(igs,gl_1_2_1(nt),p1,gl_4_5_4(nt),p4))
  gl_3_4_35_11c23a31(nt) = pr_feynman(p35, + g_gg(igs,gl_5_1_5(nt),p5,gl_3_4_3(nt),p3))
  gl_5_1_45_11c31a23(nt) = pr_feynman(p45, + g_gg(igs,gl_4_5_4(nt),p4,gl_5_1_5(nt),p5))
  bk2_1_1(nt) = + gl_5_1_45_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt))) &
  *gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_1_2_1(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_3_4_3(nt)))
  bk2_1_2(nt) = + gl_4_2_14_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt))) &
  *gl_3_4_3(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)  + ((-gs**2)*( &
  gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_5_1_5(nt)))
  bk2_1_3(nt) = + gl_4_2_14_11c31a23(nt)*( + g_gg(igs,gl_5_1_5(nt),p5,gl_2_4_23_11c23a31(nt), &
  p23)  + g_gg(igs,gl_3_4_35_11c23a31(nt),p35,gl_2_3_2(nt),p2))
  bk2_1_4(nt) = + gl_3_4_35_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt))) &
  *gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_2_3_2(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_4_5_4(nt)))
  bk2_1_5(nt) = + gl_2_4_23_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt))) &
  *gl_4_5_4(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)  + ((-gs**2)*( &
  gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)))
  bk2_1_6(nt) = + gl_2_4_23_11c23a31(nt)*( + g_gg(igs,gl_1_2_1(nt),p1,gl_5_1_45_11c31a23(nt), &
  p45))
  bk2_1_7(nt) = + gl_1_3_12_11c23a31(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt))) &
  *gl_5_1_5(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)  + ((-gs**2)*( &
  gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)))
  bk2_1_8(nt) = + gl_1_3_12_11c23a31(nt)*( + g_gg(igs,gl_5_1_45_11c31a23(nt),p45,gl_3_4_3(nt), &
  p3)  + g_gg(igs,gl_4_5_4(nt),p4,gl_3_4_35_11c23a31(nt),p35))
  ! flavor: [21, 21, 21, 21, 21]   color: (2, 4, 1, 5, 3)
  !                                       (3, 1, 5, 2, 4)
  gl_3_2_13_11c31a23(nt) = pr_feynman(p13, + g_gg(igs,gl_1_2_1(nt),p1,gl_3_4_3(nt),p3))
  gl_2_5_24_11c23a31(nt) = pr_feynman(p24, + g_gg(igs,gl_4_5_4(nt),p4,gl_2_3_2(nt),p2))
  gl_5_1_35_11c31a23(nt) = pr_feynman(p35, + g_gg(igs,gl_3_4_3(nt),p3,gl_5_1_5(nt),p5))
  bk3_1_1(nt) = + gl_5_1_35_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt))) &
  *gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_1_2_1(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_4_5_4(nt)))
  bk3_1_2(nt) = + gl_4_1_45_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt))) &
  *gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_2_3_2(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_3_4_3(nt)))
  bk3_1_3(nt) = + gl_3_2_13_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt))) &
  *gl_4_5_4(nt)  + ((-gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)  + ((-gs**2)*( &
  gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)))
  bk3_1_4(nt) = + gl_3_2_13_11c31a23(nt)*( + g_gg(igs,gl_5_1_5(nt),p5,gl_2_5_24_11c23a31(nt), &
  p24)  + g_gg(igs,gl_4_1_45_11c23a31(nt),p45,gl_2_3_2(nt),p2))
  bk3_1_5(nt) = + gl_2_5_24_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt))) &
  *gl_3_4_3(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_5_1_5(nt)  + ((-gs**2)*( &
  gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)))
  bk3_1_6(nt) = + gl_2_5_24_11c23a31(nt)*( + g_gg(igs,gl_1_2_1(nt),p1,gl_5_1_35_11c31a23(nt), &
  p35))
  bk3_1_7(nt) = + gl_1_3_12_11c23a31(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt))) &
  *gl_5_1_5(nt)  + ((-gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)  + ((-gs**2)*( &
  gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)))
  bk3_1_8(nt) = + gl_1_3_12_11c23a31(nt)*( + g_gg(igs,gl_5_1_35_11c31a23(nt),p35,gl_4_5_4(nt), &
  p4)  + g_gg(igs,gl_3_4_3(nt),p3,gl_4_1_45_11c23a31(nt),p45))
  ! flavor: [21, 21, 21, 21, 21]   color: (2, 4, 5, 3, 1)
  !                                       (5, 1, 4, 2, 3)
  gl_4_5_34_11c31a23(nt) = pr_feynman(p34, + g_gg(igs,gl_3_4_3(nt),p3,gl_4_5_4(nt),p4))
  bk4_1_1(nt) = + gl_5_2_15_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt))) &
  *gl_4_5_4(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_2_3_2(nt)  + ((-gs**2)*( &
  gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_3_4_3(nt)))
  bk4_1_2(nt) = + gl_5_2_15_11c31a23(nt)*( + g_gg(igs,gl_3_4_3(nt),p3,gl_2_5_24_11c23a31(nt), &
  p24)  + g_gg(igs,gl_4_5_34_11c31a23(nt),p34,gl_2_3_2(nt),p2))
  bk4_1_3(nt) = + gl_4_5_34_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt))) &
  *gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_5_1_5(nt)))
  bk4_1_4(nt) = + gl_3_4_35_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt))) &
  *gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_1_2_1(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_4_5_4(nt)))
  bk4_1_5(nt) = + gl_2_5_24_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt))) &
  *gl_5_1_5(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)  + ((-gs**2)*( &
  gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)))
  bk4_1_6(nt) = + gl_2_5_24_11c23a31(nt)*( + g_gg(igs,gl_1_2_1(nt),p1,gl_3_4_35_11c23a31(nt), &
  p35))
  bk4_1_7(nt) = + gl_1_3_12_11c23a31(nt)*( - ((((2)*gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt))) &
  *gl_3_4_3(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)  + ((-gs**2)*( &
  gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)))
  bk4_1_8(nt) = + gl_1_3_12_11c23a31(nt)*( + g_gg(igs,gl_3_4_35_11c23a31(nt),p35,gl_4_5_4(nt), &
  p4)  + g_gg(igs,gl_5_1_5(nt),p5,gl_4_5_34_11c31a23(nt),p34))
  ! flavor: [21, 21, 21, 21, 21]   color: (2, 5, 1, 3, 4)
  !                                       (3, 1, 4, 5, 2)
  gl_2_4_25_11c23a31(nt) = pr_feynman(p25, + g_gg(igs,gl_5_1_5(nt),p5,gl_2_3_2(nt),p2))
  bk5_1_1(nt) = + gl_5_1_45_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt))) &
  *gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_2_3_2(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_3_4_3(nt)))
  bk5_1_2(nt) = + gl_4_5_34_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt))) &
  *gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_5_1_5(nt)))
  bk5_1_3(nt) = + gl_3_2_13_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt))) &
  *gl_5_1_5(nt)  + ((-gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)  + ((-gs**2)*( &
  gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)))
  bk5_1_4(nt) = + gl_3_2_13_11c31a23(nt)*( + g_gg(igs,gl_4_5_4(nt),p4,gl_2_4_25_11c23a31(nt), &
  p25)  + g_gg(igs,gl_5_1_45_11c31a23(nt),p45,gl_2_3_2(nt),p2))
  bk5_1_5(nt) = + gl_2_4_25_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt))) &
  *gl_3_4_3(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_4_5_4(nt)  + ((-gs**2)*( &
  gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_1_2_1(nt)))
  bk5_1_6(nt) = + gl_2_4_25_11c23a31(nt)*( + g_gg(igs,gl_1_2_1(nt),p1,gl_4_5_34_11c31a23(nt), &
  p34))
  bk5_1_7(nt) = + gl_1_3_12_11c23a31(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt))) &
  *gl_4_5_4(nt)  + ((-gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)  + ((-gs**2)*( &
  gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)))
  bk5_1_8(nt) = + gl_1_3_12_11c23a31(nt)*( + g_gg(igs,gl_4_5_34_11c31a23(nt),p34,gl_5_1_5(nt), &
  p5)  + g_gg(igs,gl_3_4_3(nt),p3,gl_5_1_45_11c31a23(nt),p45))
  ! flavor: [21, 21, 21, 21, 21]   color: (2, 5, 4, 1, 3)
  !                                       (4, 1, 5, 3, 2)
  bk6_1_1(nt) = + gl_5_1_35_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt))) &
  *gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_2_3_2(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_4_5_4(nt)))
  bk6_1_2(nt) = + gl_4_2_14_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt))) &
  *gl_5_1_5(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)  + ((-gs**2)*( &
  gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)))
  bk6_1_3(nt) = + gl_4_2_14_11c31a23(nt)*( + g_gg(igs,gl_3_4_3(nt),p3,gl_2_4_25_11c23a31(nt), &
  p25)  + g_gg(igs,gl_5_1_35_11c31a23(nt),p35,gl_2_3_2(nt),p2))
  bk6_1_4(nt) = + gl_3_5_34_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt))) &
  *gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_5_1_5(nt)))
  bk6_1_5(nt) = + gl_2_4_25_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt))) &
  *gl_4_5_4(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_3_4_3(nt)  + ((-gs**2)*( &
  gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_1_2_1(nt)))
  bk6_1_6(nt) = + gl_2_4_25_11c23a31(nt)*( + g_gg(igs,gl_1_2_1(nt),p1,gl_3_5_34_11c23a31(nt), &
  p34))
  bk6_1_7(nt) = + gl_1_3_12_11c23a31(nt)*( - ((((2)*gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt))) &
  *gl_3_4_3(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)  + ((-gs**2)*( &
  gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)))
  bk6_1_8(nt) = + gl_1_3_12_11c23a31(nt)*( + g_gg(igs,gl_3_5_34_11c23a31(nt),p34,gl_5_1_5(nt), &
  p5)  + g_gg(igs,gl_4_5_4(nt),p4,gl_5_1_35_11c31a23(nt),p35))
  ! flavor: [21, 21, 21, 21, 21]   color: (3, 1, 4, 5, 2)
  !                                       (2, 5, 1, 3, 4)
  gl_2_3_12_11c31a23(nt) = pr_feynman(p12, + g_gg(igs,gl_1_2_1(nt),p1,gl_2_3_2(nt),p2))
  gl_1_4_13_11c23a31(nt) = pr_feynman(p13, + g_gg(igs,gl_3_4_3(nt),p3,gl_1_2_1(nt),p1))
  gl_5_1_25_11c31a23(nt) = pr_feynman(p25, + g_gg(igs,gl_2_3_2(nt),p2,gl_5_1_5(nt),p5))
  bk7_1_1(nt) = + gl_5_1_25_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt))) &
  *gl_3_4_3(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_1_2_1(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_4_5_4(nt)))
  bk7_1_2(nt) = + gl_5_1_25_11c31a23(nt)*( + g_gg(igs,gl_3_5_34_11c23a31(nt),p34,gl_1_2_1(nt), &
  p1))
  bk7_1_3(nt) = + gl_4_1_45_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt))) &
  *gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_3_4_3(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_2_3_2(nt)))
  bk7_1_4(nt) = + gl_3_5_34_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt))) &
  *gl_2_3_2(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_5_1_5(nt)  + ((-gs**2)*( &
  gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)))
  bk7_1_5(nt) = + gl_2_3_12_11c31a23(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt))) &
  *gl_4_5_4(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)  + ((-gs**2)*( &
  gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)))
  bk7_1_6(nt) = + gl_2_3_12_11c31a23(nt)*( + g_gg(igs,gl_4_1_45_11c23a31(nt),p45,gl_3_4_3(nt), &
  p3)  + g_gg(igs,gl_5_1_5(nt),p5,gl_3_5_34_11c23a31(nt),p34))
  bk7_1_7(nt) = + gl_1_4_13_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt))) &
  *gl_5_1_5(nt)  + ((-gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)  + ((-gs**2)*( &
  gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)))
  bk7_1_8(nt) = + gl_1_4_13_11c23a31(nt)*( + g_gg(igs,gl_5_1_25_11c31a23(nt),p25,gl_4_5_4(nt), &
  p4)  + g_gg(igs,gl_2_3_2(nt),p2,gl_4_1_45_11c23a31(nt),p45))
  ! flavor: [21, 21, 21, 21, 21]   color: (3, 1, 5, 2, 4)
  !                                       (2, 4, 1, 5, 3)
  gl_4_1_24_11c31a23(nt) = pr_feynman(p24, + g_gg(igs,gl_2_3_2(nt),p2,gl_4_5_4(nt),p4))
  bk8_1_1(nt) = + gl_5_1_45_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt))) &
  *gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_3_4_3(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_2_3_2(nt)))
  bk8_1_2(nt) = + gl_4_1_24_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt))) &
  *gl_3_4_3(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_5_1_5(nt)))
  bk8_1_3(nt) = + gl_4_1_24_11c31a23(nt)*( + g_gg(igs,gl_3_4_35_11c23a31(nt),p35,gl_1_2_1(nt), &
  p1))
  bk8_1_4(nt) = + gl_3_4_35_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt))) &
  *gl_2_3_2(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_4_5_4(nt)  + ((-gs**2)*( &
  gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_1_2_1(nt)))
  bk8_1_5(nt) = + gl_2_3_12_11c31a23(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt))) &
  *gl_5_1_5(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)  + ((-gs**2)*( &
  gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)))
  bk8_1_6(nt) = + gl_2_3_12_11c31a23(nt)*( + g_gg(igs,gl_5_1_45_11c31a23(nt),p45,gl_3_4_3(nt), &
  p3)  + g_gg(igs,gl_4_5_4(nt),p4,gl_3_4_35_11c23a31(nt),p35))
  bk8_1_7(nt) = + gl_1_4_13_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt))) &
  *gl_4_5_4(nt)  + ((-gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)  + ((-gs**2)*( &
  gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)))
  bk8_1_8(nt) = + gl_1_4_13_11c23a31(nt)*( + g_gg(igs,gl_4_1_24_11c31a23(nt),p24,gl_5_1_5(nt), &
  p5)  + g_gg(igs,gl_2_3_2(nt),p2,gl_5_1_45_11c31a23(nt),p45))
  ! flavor: [21, 21, 21, 21, 21]   color: (3, 4, 2, 5, 1)
  !                                       (5, 3, 1, 2, 4)
  gl_3_4_23_11c31a23(nt) = pr_feynman(p23, + g_gg(igs,gl_2_3_2(nt),p2,gl_3_4_3(nt),p3))
  bk9_1_1(nt) = + gl_5_2_15_11c31a23(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt))) &
  *gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_4_5_4(nt)  + ((-gs**2)*( &
  gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_3_4_3(nt)))
  bk9_1_2(nt) = + gl_5_2_15_11c31a23(nt)*( + g_gg(igs,gl_2_5_24_11c23a31(nt),p24,gl_3_4_3(nt), &
  p3)  + g_gg(igs,gl_4_5_4(nt),p4,gl_3_4_23_11c31a23(nt),p23))
  bk9_1_3(nt) = + gl_4_1_45_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt))) &
  *gl_3_4_3(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_1_2_1(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_2_3_2(nt)))
  bk9_1_4(nt) = + gl_3_4_23_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt))) &
  *gl_5_1_5(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)  + ((-gs**2)*( &
  gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)))
  bk9_1_5(nt) = + gl_3_4_23_11c31a23(nt)*( + g_gg(igs,gl_1_2_1(nt),p1,gl_4_1_45_11c23a31(nt), &
  p45))
  bk9_1_6(nt) = + gl_2_5_24_11c23a31(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt))) &
  *gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)  + ((-gs**2)*( &
  gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_5_1_5(nt)))
  bk9_1_7(nt) = + gl_1_4_13_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt))) &
  *gl_4_5_4(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)  + ((-gs**2)*( &
  gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)))
  bk9_1_8(nt) = + gl_1_4_13_11c23a31(nt)*( + g_gg(igs,gl_4_1_45_11c23a31(nt),p45,gl_2_3_2(nt), &
  p2)  + g_gg(igs,gl_5_1_5(nt),p5,gl_2_5_24_11c23a31(nt),p24))
  ! flavor: [21, 21, 21, 21, 21]   color: (3, 4, 5, 1, 2)
  !                                       (4, 5, 1, 2, 3)
  bk10_1_1(nt) = + gl_5_1_25_11c31a23(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)) &
  )*gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_4_5_4(nt)))
  bk10_1_2(nt) = + gl_4_2_14_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)) &
  )*gl_5_1_5(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)))
  bk10_1_3(nt) = + gl_4_2_14_11c31a23(nt)*( + g_gg(igs,gl_2_3_2(nt),p2,gl_3_4_35_11c23a31(nt), &
  p35)  + g_gg(igs,gl_5_1_25_11c31a23(nt),p25,gl_3_4_3(nt),p3))
  bk10_1_4(nt) = + gl_3_4_35_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)) &
  )*gl_4_5_4(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_2_3_2(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_1_2_1(nt)))
  bk10_1_5(nt) = + gl_2_5_24_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)) &
  )*gl_3_4_3(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_5_1_5(nt)))
  bk10_1_6(nt) = + gl_2_5_24_11c23a31(nt)*( + g_gg(igs,gl_3_4_35_11c23a31(nt),p35,gl_1_2_1(nt), &
  p1))
  bk10_1_7(nt) = + gl_1_4_13_11c23a31(nt)*( - ((((2)*gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)) &
  )*gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)))
  bk10_1_8(nt) = + gl_1_4_13_11c23a31(nt)*( + g_gg(igs,gl_2_5_24_11c23a31(nt),p24,gl_5_1_5(nt), &
  p5)  + g_gg(igs,gl_4_5_4(nt),p4,gl_5_1_25_11c31a23(nt),p25))
  ! flavor: [21, 21, 21, 21, 21]   color: (3, 5, 2, 1, 4)
  !                                       (4, 3, 1, 5, 2)
  bk11_1_1(nt) = + gl_5_1_45_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)) &
  )*gl_3_4_3(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_1_2_1(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_2_3_2(nt)))
  bk11_1_2(nt) = + gl_4_2_14_11c31a23(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)) &
  )*gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)))
  bk11_1_3(nt) = + gl_4_2_14_11c31a23(nt)*( + g_gg(igs,gl_2_4_25_11c23a31(nt),p25,gl_3_4_3(nt), &
  p3)  + g_gg(igs,gl_5_1_5(nt),p5,gl_3_4_23_11c31a23(nt),p23))
  bk11_1_4(nt) = + gl_3_4_23_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)) &
  )*gl_4_5_4(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)))
  bk11_1_5(nt) = + gl_3_4_23_11c31a23(nt)*( + g_gg(igs,gl_1_2_1(nt),p1,gl_5_1_45_11c31a23(nt), &
  p45))
  bk11_1_6(nt) = + gl_2_4_25_11c23a31(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)) &
  )*gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_4_5_4(nt)))
  bk11_1_7(nt) = + gl_1_4_13_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)) &
  )*gl_5_1_5(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)  + ((-gs**2) &
  *(gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)))
  bk11_1_8(nt) = + gl_1_4_13_11c23a31(nt)*( + g_gg(igs,gl_5_1_45_11c31a23(nt),p45,gl_2_3_2(nt), &
  p2)  + g_gg(igs,gl_4_5_4(nt),p4,gl_2_4_25_11c23a31(nt),p25))
  ! flavor: [21, 21, 21, 21, 21]   color: (3, 5, 4, 2, 1)
  !                                       (5, 4, 1, 3, 2)
  bk12_1_1(nt) = + gl_5_2_15_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)) &
  )*gl_4_5_4(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_2_3_2(nt)))
  bk12_1_2(nt) = + gl_5_2_15_11c31a23(nt)*( + g_gg(igs,gl_2_3_2(nt),p2,gl_3_5_34_11c23a31(nt), &
  p34)  + g_gg(igs,gl_4_1_24_11c31a23(nt),p24,gl_3_4_3(nt),p3))
  bk12_1_3(nt) = + gl_4_1_24_11c31a23(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)) &
  )*gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_5_1_5(nt)))
  bk12_1_4(nt) = + gl_3_5_34_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)) &
  )*gl_5_1_5(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)))
  bk12_1_5(nt) = + gl_2_4_25_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)) &
  )*gl_3_4_3(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_1_2_1(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_4_5_4(nt)))
  bk12_1_6(nt) = + gl_2_4_25_11c23a31(nt)*( + g_gg(igs,gl_3_5_34_11c23a31(nt),p34,gl_1_2_1(nt), &
  p1))
  bk12_1_7(nt) = + gl_1_4_13_11c23a31(nt)*( - ((((2)*gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)) &
  )*gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)))
  bk12_1_8(nt) = + gl_1_4_13_11c23a31(nt)*( + g_gg(igs,gl_2_4_25_11c23a31(nt),p25,gl_4_5_4(nt), &
  p4)  + g_gg(igs,gl_5_1_5(nt),p5,gl_4_1_24_11c31a23(nt),p24))
  ! flavor: [21, 21, 21, 21, 21]   color: (4, 1, 2, 5, 3)
  !                                       (2, 3, 5, 1, 4)
  gl_1_5_14_11c23a31(nt) = pr_feynman(p14, + g_gg(igs,gl_4_5_4(nt),p4,gl_1_2_1(nt),p1))
  bk13_1_1(nt) = + gl_5_1_35_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)) &
  )*gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_4_5_4(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_2_3_2(nt)))
  bk13_1_2(nt) = + gl_4_1_45_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)) &
  )*gl_2_3_2(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_1_2_1(nt)))
  bk13_1_3(nt) = + gl_3_4_23_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)) &
  )*gl_4_5_4(nt)  + ((-gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)))
  bk13_1_4(nt) = + gl_3_4_23_11c31a23(nt)*( + g_gg(igs,gl_4_1_45_11c23a31(nt),p45,gl_1_2_1(nt), &
  p1))
  bk13_1_5(nt) = + gl_2_3_12_11c31a23(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)) &
  )*gl_5_1_5(nt)  + ((-gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)))
  bk13_1_6(nt) = + gl_2_3_12_11c31a23(nt)*( + g_gg(igs,gl_5_1_35_11c31a23(nt),p35,gl_4_5_4(nt), &
  p4)  + g_gg(igs,gl_3_4_3(nt),p3,gl_4_1_45_11c23a31(nt),p45))
  bk13_1_7(nt) = + gl_1_5_14_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)) &
  )*gl_3_4_3(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_5_1_5(nt)))
  bk13_1_8(nt) = + gl_1_5_14_11c23a31(nt)*( + g_gg(igs,gl_3_4_23_11c31a23(nt),p23,gl_5_1_5(nt), &
  p5)  + g_gg(igs,gl_2_3_2(nt),p2,gl_5_1_35_11c31a23(nt),p35))
  ! flavor: [21, 21, 21, 21, 21]   color: (4, 1, 5, 3, 2)
  !                                       (2, 5, 4, 1, 3)
  bk14_1_1(nt) = + gl_5_1_25_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)) &
  )*gl_4_5_4(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_1_2_1(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_3_4_3(nt)))
  bk14_1_2(nt) = + gl_5_1_25_11c31a23(nt)*( + g_gg(igs,gl_4_5_34_11c31a23(nt),p34,gl_1_2_1(nt), &
  p1))
  bk14_1_3(nt) = + gl_4_5_34_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)) &
  )*gl_2_3_2(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)))
  bk14_1_4(nt) = + gl_3_4_35_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)) &
  )*gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_4_5_4(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_2_3_2(nt)))
  bk14_1_5(nt) = + gl_2_3_12_11c31a23(nt)*( - ((((2)*gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)) &
  )*gl_3_4_3(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)))
  bk14_1_6(nt) = + gl_2_3_12_11c31a23(nt)*( + g_gg(igs,gl_3_4_35_11c23a31(nt),p35,gl_4_5_4(nt), &
  p4)  + g_gg(igs,gl_5_1_5(nt),p5,gl_4_5_34_11c31a23(nt),p34))
  bk14_1_7(nt) = + gl_1_5_14_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)) &
  )*gl_5_1_5(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)))
  bk14_1_8(nt) = + gl_1_5_14_11c23a31(nt)*( + g_gg(igs,gl_5_1_25_11c31a23(nt),p25,gl_3_4_3(nt), &
  p3)  + g_gg(igs,gl_2_3_2(nt),p2,gl_3_4_35_11c23a31(nt),p35))
  ! flavor: [21, 21, 21, 21, 21]   color: (4, 3, 1, 5, 2)
  !                                       (3, 5, 2, 1, 4)
  bk15_1_1(nt) = + gl_5_1_25_11c31a23(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)) &
  )*gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_4_5_4(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_3_4_3(nt)))
  bk15_1_2(nt) = + gl_4_1_45_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)) &
  )*gl_3_4_3(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_2_3_2(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_1_2_1(nt)))
  bk15_1_3(nt) = + gl_3_2_13_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)) &
  )*gl_5_1_5(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)  + ((-gs**2) &
  *(gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)))
  bk15_1_4(nt) = + gl_3_2_13_11c31a23(nt)*( + g_gg(igs,gl_2_3_2(nt),p2,gl_4_1_45_11c23a31(nt), &
  p45)  + g_gg(igs,gl_5_1_25_11c31a23(nt),p25,gl_4_5_4(nt),p4))
  bk15_1_5(nt) = + gl_2_4_23_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)) &
  )*gl_4_5_4(nt)  + ((-gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)))
  bk15_1_6(nt) = + gl_2_4_23_11c23a31(nt)*( + g_gg(igs,gl_4_1_45_11c23a31(nt),p45,gl_1_2_1(nt), &
  p1))
  bk15_1_7(nt) = + gl_1_5_14_11c23a31(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)) &
  )*gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_5_1_5(nt)))
  bk15_1_8(nt) = + gl_1_5_14_11c23a31(nt)*( + g_gg(igs,gl_2_4_23_11c23a31(nt),p23,gl_5_1_5(nt), &
  p5)  + g_gg(igs,gl_3_4_3(nt),p3,gl_5_1_25_11c31a23(nt),p25))
  ! flavor: [21, 21, 21, 21, 21]   color: (4, 3, 5, 2, 1)
  !                                       (5, 4, 2, 1, 3)
  bk16_1_1(nt) = + gl_5_2_15_11c31a23(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)) &
  )*gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_4_5_4(nt)))
  bk16_1_2(nt) = + gl_5_2_15_11c31a23(nt)*( + g_gg(igs,gl_2_4_23_11c23a31(nt),p23,gl_4_5_4(nt), &
  p4)  + g_gg(igs,gl_3_4_3(nt),p3,gl_4_1_24_11c31a23(nt),p24))
  bk16_1_3(nt) = + gl_4_1_24_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)) &
  )*gl_5_1_5(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)))
  bk16_1_4(nt) = + gl_4_1_24_11c31a23(nt)*( + g_gg(igs,gl_1_2_1(nt),p1,gl_3_4_35_11c23a31(nt), &
  p35))
  bk16_1_5(nt) = + gl_3_4_35_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)) &
  )*gl_4_5_4(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_1_2_1(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_2_3_2(nt)))
  bk16_1_6(nt) = + gl_2_4_23_11c23a31(nt)*( - ((((2)*gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)) &
  )*gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)))
  bk16_1_7(nt) = + gl_1_5_14_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)) &
  )*gl_3_4_3(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)))
  bk16_1_8(nt) = + gl_1_5_14_11c23a31(nt)*( + g_gg(igs,gl_3_4_35_11c23a31(nt),p35,gl_2_3_2(nt), &
  p2)  + g_gg(igs,gl_5_1_5(nt),p5,gl_2_4_23_11c23a31(nt),p23))
  ! flavor: [21, 21, 21, 21, 21]   color: (4, 5, 1, 2, 3)
  !                                       (3, 4, 5, 1, 2)
  bk17_1_1(nt) = + gl_5_1_35_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)) &
  )*gl_4_5_4(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_1_2_1(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_2_3_2(nt)))
  bk17_1_2(nt) = + gl_4_1_24_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)) &
  )*gl_3_4_3(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)))
  bk17_1_3(nt) = + gl_4_1_24_11c31a23(nt)*( + g_gg(igs,gl_1_2_1(nt),p1,gl_5_1_35_11c31a23(nt), &
  p35))
  bk17_1_4(nt) = + gl_3_2_13_11c31a23(nt)*( - ((((2)*gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)) &
  )*gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)))
  bk17_1_5(nt) = + gl_3_2_13_11c31a23(nt)*( + g_gg(igs,gl_2_4_25_11c23a31(nt),p25,gl_4_5_4(nt), &
  p4)  + g_gg(igs,gl_5_1_5(nt),p5,gl_4_1_24_11c31a23(nt),p24))
  bk17_1_6(nt) = + gl_2_4_25_11c23a31(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)) &
  )*gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_4_5_4(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_3_4_3(nt)))
  bk17_1_7(nt) = + gl_1_5_14_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)) &
  )*gl_5_1_5(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)))
  bk17_1_8(nt) = + gl_1_5_14_11c23a31(nt)*( + g_gg(igs,gl_5_1_35_11c31a23(nt),p35,gl_2_3_2(nt), &
  p2)  + g_gg(igs,gl_3_4_3(nt),p3,gl_2_4_25_11c23a31(nt),p25))
  ! flavor: [21, 21, 21, 21, 21]   color: (4, 5, 2, 3, 1)
  !                                       (5, 3, 4, 1, 2)
  bk18_1_1(nt) = + gl_5_2_15_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)) &
  )*gl_3_4_3(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_4_5_4(nt)  + ((-gs**2) &
  *(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_2_3_2(nt)))
  bk18_1_2(nt) = + gl_5_2_15_11c31a23(nt)*( + g_gg(igs,gl_2_3_2(nt),p2,gl_4_5_34_11c31a23(nt), &
  p34)  + g_gg(igs,gl_3_4_23_11c31a23(nt),p23,gl_4_5_4(nt),p4))
  bk18_1_3(nt) = + gl_4_5_34_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)) &
  )*gl_5_1_5(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)))
  bk18_1_4(nt) = + gl_3_4_23_11c31a23(nt)*( - ((((2)*gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)) &
  )*gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)))
  bk18_1_5(nt) = + gl_2_4_25_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)) &
  )*gl_4_5_4(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_1_2_1(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_3_4_3(nt)))
  bk18_1_6(nt) = + gl_2_4_25_11c23a31(nt)*( + g_gg(igs,gl_4_5_34_11c31a23(nt),p34,gl_1_2_1(nt), &
  p1))
  bk18_1_7(nt) = + gl_1_5_14_11c23a31(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)) &
  )*gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)))
  bk18_1_8(nt) = + gl_1_5_14_11c23a31(nt)*( + g_gg(igs,gl_2_4_25_11c23a31(nt),p25,gl_3_4_3(nt), &
  p3)  + g_gg(igs,gl_5_1_5(nt),p5,gl_3_4_23_11c31a23(nt),p23))
  ! flavor: [21, 21, 21, 21, 21]   color: (5, 1, 2, 3, 4)
  !                                       (2, 3, 4, 5, 1)
  gl_1_4_15_11c23a31(nt) = pr_feynman(p15, + g_gg(igs,gl_5_1_5(nt),p5,gl_1_2_1(nt),p1))
  bk19_1_1(nt) = + gl_5_1_45_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)) &
  )*gl_2_3_2(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_1_2_1(nt)))
  bk19_1_2(nt) = + gl_4_5_34_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)) &
  )*gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)))
  bk19_1_3(nt) = + gl_3_4_23_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)) &
  )*gl_5_1_5(nt)  + ((-gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)))
  bk19_1_4(nt) = + gl_3_4_23_11c31a23(nt)*( + g_gg(igs,gl_5_1_45_11c31a23(nt),p45,gl_1_2_1(nt), &
  p1))
  bk19_1_5(nt) = + gl_2_3_12_11c31a23(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)) &
  )*gl_4_5_4(nt)  + ((-gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)))
  bk19_1_6(nt) = + gl_2_3_12_11c31a23(nt)*( + g_gg(igs,gl_4_5_34_11c31a23(nt),p34,gl_5_1_5(nt), &
  p5)  + g_gg(igs,gl_3_4_3(nt),p3,gl_5_1_45_11c31a23(nt),p45))
  bk19_1_7(nt) = + gl_1_4_15_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)) &
  )*gl_3_4_3(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_2_3_2(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_4_5_4(nt)))
  bk19_1_8(nt) = + gl_1_4_15_11c23a31(nt)*( + g_gg(igs,gl_3_4_23_11c31a23(nt),p23,gl_4_5_4(nt), &
  p4)  + g_gg(igs,gl_2_3_2(nt),p2,gl_4_5_34_11c31a23(nt),p34))
  ! flavor: [21, 21, 21, 21, 21]   color: (5, 1, 4, 2, 3)
  !                                       (2, 4, 5, 3, 1)
  bk20_1_1(nt) = + gl_5_1_35_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)) &
  )*gl_2_3_2(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_4_5_4(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_1_2_1(nt)))
  bk20_1_2(nt) = + gl_4_1_24_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)) &
  )*gl_5_1_5(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)))
  bk20_1_3(nt) = + gl_4_1_24_11c31a23(nt)*( + g_gg(igs,gl_5_1_35_11c31a23(nt),p35,gl_1_2_1(nt), &
  p1))
  bk20_1_4(nt) = + gl_3_5_34_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)) &
  )*gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)))
  bk20_1_5(nt) = + gl_2_3_12_11c31a23(nt)*( - ((((2)*gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)) &
  )*gl_3_4_3(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)  + ((-gs**2) &
  *(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)))
  bk20_1_6(nt) = + gl_2_3_12_11c31a23(nt)*( + g_gg(igs,gl_3_5_34_11c23a31(nt),p34,gl_5_1_5(nt), &
  p5)  + g_gg(igs,gl_4_5_4(nt),p4,gl_5_1_35_11c31a23(nt),p35))
  bk20_1_7(nt) = + gl_1_4_15_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)) &
  )*gl_4_5_4(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_2_3_2(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_3_4_3(nt)))
  bk20_1_8(nt) = + gl_1_4_15_11c23a31(nt)*( + g_gg(igs,gl_4_1_24_11c31a23(nt),p24,gl_3_4_3(nt), &
  p3)  + g_gg(igs,gl_2_3_2(nt),p2,gl_3_5_34_11c23a31(nt),p34))
  ! flavor: [21, 21, 21, 21, 21]   color: (5, 3, 1, 2, 4)
  !                                       (3, 4, 2, 5, 1)
  bk21_1_1(nt) = + gl_5_1_45_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)) &
  )*gl_3_4_3(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_2_3_2(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_1_2_1(nt)))
  bk21_1_2(nt) = + gl_4_1_24_11c31a23(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)) &
  )*gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)))
  bk21_1_3(nt) = + gl_3_2_13_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)) &
  )*gl_4_5_4(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)))
  bk21_1_4(nt) = + gl_3_2_13_11c31a23(nt)*( + g_gg(igs,gl_2_3_2(nt),p2,gl_5_1_45_11c31a23(nt), &
  p45)  + g_gg(igs,gl_4_1_24_11c31a23(nt),p24,gl_5_1_5(nt),p5))
  bk21_1_5(nt) = + gl_2_4_23_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)) &
  )*gl_5_1_5(nt)  + ((-gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)))
  bk21_1_6(nt) = + gl_2_4_23_11c23a31(nt)*( + g_gg(igs,gl_5_1_45_11c31a23(nt),p45,gl_1_2_1(nt), &
  p1))
  bk21_1_7(nt) = + gl_1_4_15_11c23a31(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)) &
  )*gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_4_5_4(nt)))
  bk21_1_8(nt) = + gl_1_4_15_11c23a31(nt)*( + g_gg(igs,gl_2_4_23_11c23a31(nt),p23,gl_4_5_4(nt), &
  p4)  + g_gg(igs,gl_3_4_3(nt),p3,gl_4_1_24_11c31a23(nt),p24))
  ! flavor: [21, 21, 21, 21, 21]   color: (5, 3, 4, 1, 2)
  !                                       (4, 5, 2, 3, 1)
  bk22_1_1(nt) = + gl_5_1_25_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)) &
  )*gl_4_5_4(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_1_2_1(nt)))
  bk22_1_2(nt) = + gl_5_1_25_11c31a23(nt)*( + g_gg(igs,gl_1_2_1(nt),p1,gl_3_5_34_11c23a31(nt), &
  p34))
  bk22_1_3(nt) = + gl_4_2_14_11c31a23(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)) &
  )*gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_5_1_5(nt)))
  bk22_1_4(nt) = + gl_4_2_14_11c31a23(nt)*( + g_gg(igs,gl_2_4_23_11c23a31(nt),p23,gl_5_1_5(nt), &
  p5)  + g_gg(igs,gl_3_4_3(nt),p3,gl_5_1_25_11c31a23(nt),p25))
  bk22_1_5(nt) = + gl_3_5_34_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)) &
  )*gl_5_1_5(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)))
  bk22_1_6(nt) = + gl_2_4_23_11c23a31(nt)*( - ((((2)*gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)) &
  )*gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)))
  bk22_1_7(nt) = + gl_1_4_15_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)) &
  )*gl_3_4_3(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_4_5_4(nt)  + ((-gs**2) &
  *(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_2_3_2(nt)))
  bk22_1_8(nt) = + gl_1_4_15_11c23a31(nt)*( + g_gg(igs,gl_3_5_34_11c23a31(nt),p34,gl_2_3_2(nt), &
  p2)  + g_gg(igs,gl_4_5_4(nt),p4,gl_2_4_23_11c23a31(nt),p23))
  ! flavor: [21, 21, 21, 21, 21]   color: (5, 4, 1, 3, 2)
  !                                       (3, 5, 4, 2, 1)
  bk23_1_1(nt) = + gl_5_1_25_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)) &
  )*gl_3_4_3(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_4_5_4(nt)  + ((-gs**2) &
  *(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_1_2_1(nt)))
  bk23_1_2(nt) = + gl_5_1_25_11c31a23(nt)*( + g_gg(igs,gl_1_2_1(nt),p1,gl_4_5_34_11c31a23(nt), &
  p34))
  bk23_1_3(nt) = + gl_4_5_34_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)) &
  )*gl_5_1_5(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)))
  bk23_1_4(nt) = + gl_3_2_13_11c31a23(nt)*( - ((((2)*gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)) &
  )*gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)))
  bk23_1_5(nt) = + gl_3_2_13_11c31a23(nt)*( + g_gg(igs,gl_2_5_24_11c23a31(nt),p24,gl_5_1_5(nt), &
  p5)  + g_gg(igs,gl_4_5_4(nt),p4,gl_5_1_25_11c31a23(nt),p25))
  bk23_1_6(nt) = + gl_2_5_24_11c23a31(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)) &
  )*gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)))
  bk23_1_7(nt) = + gl_1_4_15_11c23a31(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)) &
  )*gl_4_5_4(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_3_4_3(nt)  + ((-gs**2) &
  *(gl_3_4_3(nt)*gl_4_5_4(nt)))*gl_2_3_2(nt)))
  bk23_1_8(nt) = + gl_1_4_15_11c23a31(nt)*( + g_gg(igs,gl_4_5_34_11c31a23(nt),p34,gl_2_3_2(nt), &
  p2)  + g_gg(igs,gl_3_4_3(nt),p3,gl_2_5_24_11c23a31(nt),p24))
  ! flavor: [21, 21, 21, 21, 21]   color: (5, 4, 2, 1, 3)
  !                                       (4, 3, 5, 2, 1)
  bk24_1_1(nt) = + gl_5_1_35_11c31a23(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_2_3_2(nt)) &
  )*gl_4_5_4(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_2_3_2(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_1_2_1(nt)))
  bk24_1_2(nt) = + gl_4_2_14_11c31a23(nt)*( - ((((2)*gs**2)*(gl_2_3_2(nt)*gl_5_1_5(nt)) &
  )*gl_3_4_3(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_2_3_2(nt)))
  bk24_1_3(nt) = + gl_4_2_14_11c31a23(nt)*( + g_gg(igs,gl_2_3_2(nt),p2,gl_5_1_35_11c31a23(nt), &
  p35)  + g_gg(igs,gl_3_4_23_11c31a23(nt),p23,gl_5_1_5(nt),p5))
  bk24_1_4(nt) = + gl_3_4_23_11c31a23(nt)*( - ((((2)*gs**2)*(gl_4_5_4(nt)*gl_5_1_5(nt)) &
  )*gl_1_2_1(nt)  + ((-gs**2)*(gl_1_2_1(nt)*gl_4_5_4(nt)))*gl_5_1_5(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_4_5_4(nt)))
  bk24_1_5(nt) = + gl_2_5_24_11c23a31(nt)*( - ((((2)*gs**2)*(gl_1_2_1(nt)*gl_3_4_3(nt)) &
  )*gl_5_1_5(nt)  + ((-gs**2)*(gl_3_4_3(nt)*gl_5_1_5(nt)))*gl_1_2_1(nt)  + ((-gs**2) &
  *(gl_1_2_1(nt)*gl_5_1_5(nt)))*gl_3_4_3(nt)))
  bk24_1_6(nt) = + gl_2_5_24_11c23a31(nt)*( + g_gg(igs,gl_5_1_35_11c31a23(nt),p35,gl_1_2_1(nt), &
  p1))
  bk24_1_7(nt) = + gl_1_4_15_11c23a31(nt)*( - ((((2)*gs**2)*(gl_3_4_3(nt)*gl_4_5_4(nt)) &
  )*gl_2_3_2(nt)  + ((-gs**2)*(gl_2_3_2(nt)*gl_3_4_3(nt)))*gl_4_5_4(nt)  + ((-gs**2) &
  *(gl_2_3_2(nt)*gl_4_5_4(nt)))*gl_3_4_3(nt)))
  bk24_1_8(nt) = + gl_1_4_15_11c23a31(nt)*( + g_gg(igs,gl_2_5_24_11c23a31(nt),p24,gl_3_4_3(nt), &
  p3)  + g_gg(igs,gl_4_5_4(nt),p4,gl_3_4_23_11c31a23(nt),p23))
end subroutine calc_test_pamp_21_21_21_21_21

end module test_pamp_21_21_21_21_21
